<Editor::Properties::OptionContainer class="picture-section" @label={{t "option-panel.sizing-mode"}} as |id|>
  <Input::Select class="picture-sizing" id={{id}} @list={{this.sizingOptions}} @value={{this.sizing}} @onChange={{this.sizingChanged}} />
</Editor::Properties::OptionContainer>

{{#if (eq this.sizing "fixed width")}}
  <Input::Options::SizePx @property="width" @value={{this.customStyle}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} @onChange={{this.changeCustomStyle}} />
{{/if}}

{{#if (eq this.sizing "fixed height")}}
  <Input::Options::SizePx @property="height" @value={{this.customStyle}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} @onChange={{this.changeCustomStyle}} />
{{/if}}

{{#if (eq this.sizing "proportional")}}
  <Editor::Properties::OptionContainer @label={{t "option-panel.proportion"}} as |id|>
    <Input class="picture-proportion form-control" id={{id}} @value={{this.proportion}} />
  </Editor::Properties::OptionContainer>
{{/if}}